Package ru.bitel.oss.kernel.directories.address.server.bean

# Class StreetDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<Street>
ru.bitel.common.dao.AbstractIdDao<Street>
ru.bitel.common.dao.AbstractDirectoryIdDao<Street>
ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao<Street>
ru.bitel.oss.kernel.directories.address.server.bean.StreetDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<Street>`

public class StreetDao extends AbstractAddressDao<Street>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StreetDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `cityStreetCount(int cityId)`
  `List<Street>`
  `directoryItems()`
  Получение всего списка элементов из справочника
  `Street`
  `get(String title, int cityId)`
  `Street`
  `getDirectoryItem(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected Street`
  `getFromRS(ResultSet rs)`
  `String`
  `getPostIndex(int streetId)`
  `protected String`
  `getQuery()`
  `protected String`
  `getQueryById()`
  `List<Street>`
  `list(int cityId)`
  `List<Street>`
  `list(int cityId, String title)`
  `protected List<Street>`
  `list(String filter, String orderBy, Object... params)`
  `protected List<Street>`
  `listImpl(Page page, String filter, String orderBy, Object... params)`
  `protected Street`
  `newBean()`
  `List<Street>`
  `search(int cityId, String title, String cityTitle, Page page)`
  `void`
  `searchStreetList(SearchResult<Street> searchResult, int cityId, String streetMask)`
  `protected <T> void`
  `searchStreetList(SearchResult<T> searchResult, int cityId, String mask, Function<ResultSet,T> function)`
  `protected void`
  `updateImpl(Street b)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao

  `deleteRows, get, getBaseFromRS, getEntityCount`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDirectoryIdDao

  `deleteDirectoryItem, getDirectoryItem, updateDirectoryItem`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `deleteDirectoryItem, getDirectoryItem, optDirectoryItem, updateDirectoryItem`

- ## Constructor Details

  - ### StreetDao

    public StreetDao(Connection con)

- ## Method Details

  - ### newBean

    protected Street newBean()
    Specified by:
      `newBean` in class `AbstractAddressDao<Street>`

  - ### getPostIndex

    public String getPostIndex(int streetId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### search

    public List<Street> search(int cityId, String title, String cityTitle, Page page) throws Exception
    Throws:
      `Exception`

  - ### directoryItems

    public List<Street> directoryItems() throws Exception
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `directoryItems` in interface `Directory<Street>`
    Returns:
    Throws:
      `Exception`

  - ### searchStreetList

    public void searchStreetList(SearchResult<Street> searchResult, int cityId, String streetMask)

  - ### cityStreetCount

    public int cityStreetCount(int cityId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected Street getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(Street b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getDirectoryItem

    public Street getDirectoryItem(String title) throws Exception
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `getDirectoryItem` in interface `Directory<B extends CityItem>`
    Overrides:
      `getDirectoryItem` in class `ru.bitel.common.dao.AbstractDirectoryIdDao<B extends CityItem>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `Exception`

  - ### get

    public Street get(String title, int cityId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<Street> list(int cityId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<Street> list(int cityId, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    protected List<Street> list(String filter, String orderBy, Object... params) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `list` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listImpl

    protected List<Street> listImpl(Page page, String filter, String orderBy, Object... params) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `listImpl` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getQueryById

    protected String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`

  - ### getQuery

    protected String getQuery()
    Overrides:
      `getQuery` in class `AbstractAddressDao<B extends CityItem>`

  - ### searchStreetList

    protected <T> void searchStreetList(SearchResult<T> searchResult, int cityId, String mask, Function<ResultSet,T> function)